#!/bin/bash
#PCountdown gui V-0.1.1
#Copyright 2009 GPL
#01micko
#Functions script MUST be in the same directory

# -------vovchik stuff here --------------

ITEMVAR=""
nl="
"

function MYNUMLOOP ()
{
for i in `seq 0 $MYINDEX`;
	do
     	ITEMVAR="$ITEMVAR""<item>$i</item>""$nl"

	done  
}

function MYHOURZ ()
{
	ITEMVAR=""
	MYINDEX=24
	MYNUMLOOP
	HOURZ="$ITEMVAR"
}

function MYMINITZ ()
{
	ITEMVAR=""
	MYINDEX=59
	MYNUMLOOP
	MINITZ="$ITEMVAR"
}

function MYSECZ ()
{
	ITEMVAR=""
	MYINDEX=59
	MYNUMLOOP
	SECZ="$ITEMVAR"
}

MYHOURZ
MYMINITZ
MYSECZ

echo "$HOURZ"
echo "$MINITZ"
echo "$SECZ"

# --------end vovchik stuff --------------

APP_DIR="`dirname $0`"
[ "$APP_DIR" = "." ] && APP_DIR="`pwd`"
export APP_DIR="$APP_DIR"

. $APP_DIR/config

#define combobox list items
PLACEMENT_ITEMS="<item>$PLACEMENT</item>" #stored value should be first in list
for I in top-left top top-right left center right bottom-left bottom bottom-right; do PLACEMENT_ITEMS=`echo "$PLACEMENT_ITEMS<item>$I</item>"`; done 

COLOR_ITEMS="<item>$COLOR</item>" 
for I in "orange" "green" "lightblue" "yellow" "pink"; do COLOR_ITEMS=`echo "$COLOR_ITEMS<item>$I</item>"`; done 

NOISE_ITEMS="<item>$NOISE</item>" 
for I in "2barks" "beep_high" "beep_low" "generic"; do NOISE_ITEMS=`echo "$NOISE_ITEMS<item>$I</item>"`; done 

DUR_ITEMS="<item>$DUR</item>" 
for I in 1 5 10 15 20 30 60 120 180 300; do DUR_ITEMS=`echo "$DUR_ITEMS<item>$I</item>"`; done 


export Countdown="	
<window title=\"PCountdown Timer\">
 <vbox>
  <frame Please choose the hour and minutes and seconds 
		you wish to count down - maximum 24 hours>       
   <hbox>
    <frame Hours>
     <combobox>
      <variable>HOUR</variable>
$HOURZ	   
     </combobox>
    </frame>
    <frame Minutes>
     <combobox>
      <variable>MINIT</variable>
$MINITZ	   
	 </combobox> 
	</frame>
	<frame Seconds>
	 <combobox>
	  <variable>SEC</variable>
$SECZ	   
     </combobox>
    </frame>
   </hbox>
   <hbox> 
	<frame Placement of Timer Display>
     <combobox>
      <variable>PLACEMENT</variable>
$PLACEMENT_ITEMS   
	 </combobox> 
	</frame>
	<frame  Color to Display>
     <combobox>
      <variable>COLOR</variable>
$COLOR_ITEMS	   
	 </combobox> 
	</frame>
   </hbox>
   <hbox>
	<frame Sound>
     <combobox>
      <variable>NOISE</variable>
$NOISE_ITEMS   
	 </combobox> 
	</frame>
	<frame Duration of Sound - in seconds>
     <combobox>
      <variable>DUR</variable>
$DUR_ITEMS	   
	 </combobox> 
	</frame>
   </hbox>
    <frame Duration of Splash>
     <hbox>
     <radiobutton>
      <variable>DUR1</variable>
       <label>Short             </label>
        <default>$DUR1</default>
     </radiobutton>
     <radiobutton>
      <variable>DUR2</variable>
       <label>Sound time      </label>
        <default>$DUR2</default>
     </radiobutton>
     <radiobutton>
      <variable>DUR3</variable>
       <label>Infinity                                             </label>
        <default>$DUR3</default>
     </radiobutton>
     </hbox>
    </frame>  
    <hbox>
     <frame Task... you can enter a task you wish to remember if you like>
      <entry>
       <variable>TASK</variable>
        <input>echo $TASK</input>
      </entry>
     </frame>   
    </hbox>  
   <hbox>
    <button>
    <input file stock=\"gtk-apply\"></input>
     <label>\"Apply\"</label>
       <action>$APP_DIR/func -apply</action>
    </button>
    <button>
     <input file stock=\"gtk-cancel\"></input>
      <label>Cancel</label>
    </button>
  </hbox>
  </frame>
 </vbox>
</window>"

#execute gtkdialog
I=$IFS; IFS=""
for STATEMENTS in  $(gtkdialog3 --program=Countdown --center); do
	eval $STATEMENTS
done
IFS=$I

